7 added 2 characters in body
source | link

elementary OS Freya (0.3) is based on Ubuntu Trusty (14.04) and the latest available version of VLC for this version of Ubuntu is 2.1.x (so 2.1.6).

This PPA provides the latest version though (at least for the moment):

sudo add-apt-repository ppa:mc3man/trusty-media &&
sudo apt-get update &&
sudo apt-get install vlc

To have the .deb.deb file, look on packages.debian.org or http://pkgs.org

elementary OS Freya (0.3) is based on Ubuntu Trusty (14.04) and the latest available version of VLC for this version of Ubuntu is 2.1.x (so 2.1.6).

This PPA provides the latest version though (at least for the moment):

sudo add-apt-repository ppa:mc3man/trusty-media &&
sudo apt-get update &&
sudo apt-get install vlc

To have the .deb file, look on packages.debian.org or http://pkgs.org

elementary OS Freya (0.3) is based on Ubuntu Trusty (14.04) and the latest available version of VLC for this version of Ubuntu is 2.1.x (so 2.1.6).

This PPA provides the latest version though (at least for the moment):

sudo add-apt-repository ppa:mc3man/trusty-media &&
sudo apt-get update &&
sudo apt-get install vlc

To have the .deb file, look on packages.debian.org or http://pkgs.org

6 Added info to fit the edited question title
source | link

elementary OS Freya (0.3) is based on Ubuntu Trusty (14.04) and the latest available version of VLC for this version of Ubuntu is 2.1.x (so 2.1.6).

This PPA provides the latest version though (at least for the moment):

sudo add-apt-repository ppa:mc3man/trusty-media&&sudomedia &&
sudo apt-get update&&sudoupdate &&
sudo apt-get install vlc

To have the .deb file, look on packages.debian.org or http://pkgs.org

elementary OS Freya (0.3) is based on Ubuntu Trusty (14.04) and the latest available version of VLC for this version of Ubuntu is 2.1.x (so 2.1.6).

This PPA provides the latest version though (at least for the moment):

sudo add-apt-repository ppa:mc3man/trusty-media&&sudo apt-get update&&sudo apt-get install vlc

To have the .deb file, look on packages.debian.org or http://pkgs.org

elementary OS Freya (0.3) is based on Ubuntu Trusty (14.04) and the latest available version of VLC for this version of Ubuntu is 2.1.x (so 2.1.6).

This PPA provides the latest version though (at least for the moment):

sudo add-apt-repository ppa:mc3man/trusty-media &&
sudo apt-get update &&
sudo apt-get install vlc

To have the .deb file, look on packages.debian.org or http://pkgs.org

5 Added info to fit the edited question title
source | link

elementary OS Freya (0.3) is based on Ubuntu Trusty (14.04) and the latest available version of VLC for this version of Ubuntu is 2.1.x (so 2.1.6).

This PPA provides the latest version though (at least for the moment):

sudo add-apt-repository ppa:mc3man/trusty-media&&sudo apt-get update&&sudo apt-get install vlc

To have the .deb file, look on packages.debian.org or http://pkgs.org

elementary OS Freya (0.3) is based on Ubuntu Trusty (14.04) and the latest available version of VLC for this version of Ubuntu is 2.1.x (so 2.1.6).

elementary OS Freya (0.3) is based on Ubuntu Trusty (14.04) and the latest available version of VLC for this version of Ubuntu is 2.1.x (so 2.1.6).

This PPA provides the latest version though (at least for the moment):

sudo add-apt-repository ppa:mc3man/trusty-media&&sudo apt-get update&&sudo apt-get install vlc

To have the .deb file, look on packages.debian.org or http://pkgs.org

4 added 24 characters in body
source | link
3 added 1 character in body
source | link
2 PPA does _not_ contain 2.2 for Trusty.
source | link
1
source | link